Skip to content

Cancel order

DELETE
/v1/orders/order

Cancel an open order.

A 202 Accepted response means the request to cancel the order was accepted. You can either use the Order Status REST API or the WebSocket API to receive status updates about this request.

The DELETE request requires a JSON request body with either orderId and pair, or customerOrderId and pair. Do not provide both orderId and customerOrderId in the same request.

When you receive this response, it does not always mean that the order has been cancelled. When the response is 202 Accepted, you can either use the Order Status REST API or the WebSocket API to receive status updates about this order.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"orderId": "0198510c-09fa-7f86-8ddb-b6b222b4e509",
"pair": "BTCUSDT"
}

Responses

Cancel order request accepted

Playground

Authorization
Body

Samples